/*
 * Copyright (c) 2017. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.api;

/**
 * Abstract Collection of Entities API Interface.
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface CollectionEntity<E extends IdEntity> extends Iterable<E> {

    E byId(int id);

    int size();

    boolean isEmpty();

    void sortById();

}
