/*
 * Copyright (c) 2017. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.api;

/**
 * Snooker Score API for external applications.
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface SnookerScoreAPI {

    Event getEvent(int eventId) throws APIException;

    Match getMatch(int eventId, int roundId, int matchNumber) throws APIException;

    Player getPlayer(int playerId) throws APIException;

    Events getSeasonEvents(Season season) throws APIException;

    Matches getEventMatches(int eventId) throws APIException;

    OngoingMatches getOngoingMatches() throws APIException;

    Matches getPlayerMatches(int playerId, Season season) throws APIException;

    Players getEventPlayers(int eventId) throws APIException;

    Players getPlayers(Season season, PlayerCategory category) throws APIException;

    Rankings getRankings(Season season, RankingType type) throws APIException;

    void setCurrentSeason(Season season) throws APIException;

    Season currentSeason() throws APIException;

}
