/*
 * Copyright (c) 2017. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.json;

import org.hedgecode.snooker.api.OngoingMatch;
import org.hedgecode.snooker.api.OngoingMatches;

/**
 * Ongoing Matches Entity (set of {@link OngoingMatches}) to JSON deserialize.
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JsonOngoingMatches
        extends JsonCollectionEntity<OngoingMatch> implements OngoingMatches
{
    protected JsonOngoingMatches(OngoingMatch[] entities) {
        super(entities);
    }

    @Override
    public OngoingMatch byNumber(int number) {
        for (OngoingMatch ongoingMatch : this)
            if (ongoingMatch.number() == number)
                return ongoingMatch;
        return null;
    }

}
