/*
 * Copyright (c) 2017. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.json;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;

/**
 * Tests for {@link JsonStringToken}.
 *
 * @author Dmitry Samoshin aka gotty
 */
@RunWith(JUnit4.class)
public class JsonStringTokenTest extends Assert {

    private static final String[] NULL_JSONS = {null, "", "\"\""};
    private static final String[] NOT_NULL_JSONS = {"[{{\"ID\": 1}]", "blabla", "[null]"};

    private static final String NULL_JSON = "[null]";

    @Test
    public void testToken() throws Exception {
        for (String json : NULL_JSONS) {
            assertEquals(
                    NULL_JSON,
                    JsonStringToken.token(json)
            );
        }
        for (String json : NOT_NULL_JSONS) {
            assertEquals(
                    json,
                    JsonStringToken.token(json)
            );
        }
    }

}
